Debian Bug report logs - #540665
kbuild: FTFBS on GNU/kFreeBSD

version graph

Package: kbuild; Maintainer for kbuild is Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>; Source for kbuild is src:kbuild.

Reported by: Julian Andres Klode <jak@debian.org>

Date: Sun, 9 Aug 2009 14:27:04 UTC

Severity: important

Tags: patch

Found in version kbuild/1:0.1.98svn2318-1

Fixed in version kbuild/1:0.1.98svn2318-3

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jak@debian.org, Torsten Werner <twerner@debian.org>:
Bug#540665; Package kbuild. (Sun, 09 Aug 2009 14:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
New Bug report received and forwarded. Copy sent to jak@debian.org, Torsten Werner <twerner@debian.org>. (Sun, 09 Aug 2009 14:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kbuild: FTFBS on GNU/kFreeBSD
Date: Sun, 9 Aug 2009 16:23:21 +0200
[Message part 1 (text/plain, inline)]
Package: kbuild
Version: 1:0.1.98svn2318-1
Severity: important
Tags: patch
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

kBuild FTBFS on GNU/kFreeBSD. The attached patch fixes
this.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (350, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kbuild depends on:
ii  libc6                         2.9-23     GNU C Library: Shared libraries

kbuild recommends no packages.

kbuild suggests no packages.

-- no debconf information

-- 
Julian Andres Klode  - Free Software Developer
   Debian Developer  - Contributing Member of SPI
   Ubuntu Member     - Fellow of FSFE

Website: http://jak-linux.org/   XMPP: juliank@jabber.org
Debian:  http://www.debian.org/  SPI:  http://www.spi-inc.org/
Ubuntu:  http://www.ubuntu.com/  FSFE: http://www.fsfe.org/
[kbuild-gnukfreebsd.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Tue, 15 Sep 2009 14:24:08 GMT) Full text and rfc822 format available.

Notification sent to Julian Andres Klode <jak@debian.org>:
Bug acknowledged by developer. (Tue, 15 Sep 2009 14:24:09 GMT) Full text and rfc822 format available.

Message #10 received at 540665-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 540665-close@bugs.debian.org
Subject: Bug#540665: fixed in kbuild 1:0.1.98svn2318-3
Date: Tue, 15 Sep 2009 13:58:59 +0000
Source: kbuild
Source-Version: 1:0.1.98svn2318-3

We believe that the bug you reported is fixed in the latest version of
kbuild, which is due to be installed in the Debian FTP archive:

kbuild_0.1.98svn2318-3.diff.gz
  to pool/main/k/kbuild/kbuild_0.1.98svn2318-3.diff.gz
kbuild_0.1.98svn2318-3.dsc
  to pool/main/k/kbuild/kbuild_0.1.98svn2318-3.dsc
kbuild_0.1.98svn2318-3_amd64.deb
  to pool/main/k/kbuild/kbuild_0.1.98svn2318-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 540665@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated kbuild package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Sep 2009 15:37:35 +0200
Source: kbuild
Binary: kbuild
Architecture: source amd64
Version: 1:0.1.98svn2318-3
Distribution: unstable
Urgency: low
Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 kbuild     - framework for writing simple makefiles for complex tasks
Closes: 540665 544974
Changes: 
 kbuild (1:0.1.98svn2318-3) unstable; urgency=low
 .
   * Added patch to fix build on GNU/kFreeBSD. (Closes: #540665) - thanks
     to Julian Andres Klode <jak@debian.org>
   * Added patch to fix build on sh4. (Closes: #544974) - thanks to
     Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Checksums-Sha1: 
 a35255b59f039b43ff497aeed0025ee51891d2d3 1307 kbuild_0.1.98svn2318-3.dsc
 19a1f6a433cfb86bdb5a2407f18734916962bfe8 9934 kbuild_0.1.98svn2318-3.diff.gz
 dee2e85a723ebc0629b5f47793ee1119c7406c83 756450 kbuild_0.1.98svn2318-3_amd64.deb
Checksums-Sha256: 
 ce908e1c5f0cf3832dbc656f459d5da91fcf105f8248177b42c1c1996119909c 1307 kbuild_0.1.98svn2318-3.dsc
 fe63d7260d777d98a35c7aea02eb3c2f130bfd6e93c67978ab1ec6a7fdc7188d 9934 kbuild_0.1.98svn2318-3.diff.gz
 6b54883ac6d2507c71137674f564280137cff9895d96e596d997f2b34091ddb6 756450 kbuild_0.1.98svn2318-3_amd64.deb
Files: 
 e603e2f9e577da800eb21e897f470ed7 1307 devel extra kbuild_0.1.98svn2318-3.dsc
 198c12a70ac09fd675d54db363cff9c9 9934 devel extra kbuild_0.1.98svn2318-3.diff.gz
 cbf07726c8307cb6a098c9c465f55cb5 756450 devel extra kbuild_0.1.98svn2318-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFKr5n1VkEm8inxm9ERAswKAJ0ZTpvc0s0fNbMPQC+hEbl0D2rEJACfbknm
wYjFAK9O9ti+Uq7kiJNtcRM=
=RQ6E
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Oct 2009 07:32:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:22:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.